Subject: bug#68367: 30.0.50; etc-fstab-generic-mode is missing cgroup2

From: Stephen Berman <[email-masked]>
Date: Wed, 10 Jan 2024 16:26:21 +0100

On Wed, 10 Jan 2024 06:55:30 -0800 Stefan Kangas <[email-masked]> wrote:

> Stephen Berman via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
>
>> My /etc/fstab file contains a line for the file system cgroup2 (i.e. for
>> cgroup v2 instead of cgroup for cgroup v1).  I just learned about
>> etc-fstab-generic-mode and after loading generic-x and visiting
>> /etc/fstab, I saw that in the line for cgroup2, the entry in the type
>> column is fontified in the default face, not in font-lock-keyword-face,
>> unlike all other file system types in my /etc/fstab file.  This patch
>> fixes the misfontification:
>>
>> diff --git a/lisp/generic-x.el b/lisp/generic-x.el
>> index b4ae0225943..373bfad92dd 100644
>> --- a/lisp/generic-x.el
>> +++ b/lisp/generic-x.el
>> @@ -1491,6 +1491,7 @@ etc-fstab-generic-mode
>>      "cd9660"
>>      "cfs"
>>      "cgroup"
>> +    "cgroup2"
>>      "cifs"
>>      "coda"
>>      "coherent"
>
> Thanks, but could you please reformat this using `git format-patch -1`?

On Wed, 10 Jan 2024 17:07:26 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stefan Kangas <[email-masked]>
>> Date: Wed, 10 Jan 2024 06:55:30 -0800
>> Cc: Eli Zaretskii <[email-masked]>
>>
>> Stephen Berman via "Bug reports for GNU Emacs, the Swiss army knife of
>> text editors" <[email-masked]> writes:
>>
>> > While the misfontification isn't a regression -- the support for cgroups
>> > (but only for cgroup v1) in etc-fstab-generic-mode was added in January
>> > 2021 (commit 80d964ec8b) -- the fix could go into emacs-29, since cgroup
>> > v2 became official in the Linux kernel in March 2016 (kernel 4.5); i.e.,
>> > omitting cgroup2 was presumably an oversight in that commit.
>>
>> I don't really have an opinion, but sounds good to me.  Eli?
>
> I don't mind adding this to emacs-29.
>
> Thanks.

Instead of resending the patch I just went ahead and installed it to
emacs-29.

Steve Berman